This post was originally published at Sencha Ext JS JetBrains Plugin EA Update 2 Released

The new Ext JS plugin for JetBrains IDEs generated a lot of buzz when we debuted it at SenchaCon 2015 in early April. I’d like to thank each member of the Sencha community who offered feedback and bug reports in person, on the forums, and by reporting errors via the IDE. Now, we’ve released Early Access Update 2 of the Sencha Ext JS plugin. This update addresses many items reported by the community. Here are some of the highlights:

  • Performance: you may have noticed that opening large files caused a noticeable delay in validation and syntax highlighting. This has been greatly improved and should no longer be noticeable.
  • Support for packages: you can now create new packages from the project tree.
  • SDK version selection: you can now select the version of the SDK you’d like to use when creating a new app or workspace.
  • Plugins and features detection: you can now detect ptype and ftype as dependencies and added to the requires array or marked as required.
  • Requires config: we have also fixed the errors that occur when the requires config is a string instead of an array.
  • Other reported errors: this update also fixes several NPEs and other errors reported by developers within the IDE.

Read the article:

This post was originally published at Sencha Ext JS JetBrains Plugin EA Update 2 Released